Description

Currently tmqueue stores all messages on disk and in the same time in memory. New binary could be "tmqueuepq"

For some big queues, the memory might be too short, consuming all the server memory.

Thus we could implement so that the messages are stored in posgresql.

For each queue new db table could be created from source code. Or maybe single table. it depends on polling mechanism, or maybe

configuration.

The locked messages which are in progress still we would like to keep in the memory hash.

History

#1 - 07/03/2019 12:49 PM - Madars

- Description updated

#2 - 03/23/2021 02:29 PM - Madars

Possibly could use: http://soci.sourceforge.net/doc/master/

#3 - 03/18/2022 11:07 PM - Madars

- Status changed from New to Rejected

If implementing DB, generic approach (i.e. selectable DB driver / DB type shall be used).
